/*
 * Copyright (c) TIKI Inc.
 * MIT license. See LICENSE file in root directory.
 */
/// {@category Node}
/// A L0 Storage Policy Response Fields Model
class PolicyModelRspFields {
  String? policy;
  String? contentType;
  String? xAmzCredential;
  String? xAmzAlgorithm;
  String? xAmzDate;
  String? xAmzSignature;
  String? xAmzObjectLockMode;
  String? xAmzObjectLockRetainUntilDate;

  PolicyModelRspFields(
      {this.policy,
      this.contentType,
      this.xAmzCredential,
      this.xAmzAlgorithm,
      this.xAmzDate,
      this.xAmzSignature,
      this.xAmzObjectLockMode,
      this.xAmzObjectLockRetainUntilDate});

  PolicyModelRspFields.fromMap(Map<String, dynamic>? map) {
    if (map != null) {
      policy = map['policy'];
      contentType = map['content-type'];
      xAmzCredential = map['x-amz-credential'];
      xAmzAlgorithm = map['x-amz-algorithm'];
      xAmzDate = map['x-amz-date'];
      xAmzSignature = map['x-amz-signature'];
      xAmzObjectLockMode = map['x-amz-object-lock-mode'];
      xAmzObjectLockRetainUntilDate =
          map['x-amz-object-lock-retain-until-date'];
    }
  }

  Map<String, dynamic> toMap() => {
        'policy': policy,
        'content-type': contentType,
        'x-amz-credential': xAmzCredential,
        'x-amz-algorithm': xAmzAlgorithm,
        'x-amz-date': xAmzDate,
        'x-amz-signature': xAmzSignature,
        'x-amz-object-lock-mode': xAmzObjectLockMode,
        'x-amz-object-lock-retain-until-date': xAmzObjectLockRetainUntilDate
      };

  /// Overrides toString() method for useful error messages
  @override
  String toString() {
    return 'PolicyModelRspFields{policy: $policy, contentType: $contentType, xAmzCredential: $xAmzCredential, xAmzAlgorithm: $xAmzAlgorithm, xAmzDate: $xAmzDate, xAmzSignature: $xAmzSignature, xAmzObjectLockMode: $xAmzObjectLockMode, xAmzObjectLockRetainUntilDate: $xAmzObjectLockRetainUntilDate}';
  }
}
